## org.apache.myfaces.custom.tree.renderkit.html
Class HtmlTreeCheckboxRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlCheckboxRendererBase
                  org.apache.myfaces.custom.tree.renderkit.html.HtmlTreeCheckboxRenderer

public class HtmlTreeCheckboxRenderer
extends HtmlCheckboxRendererBase

Author:
  David Le Strat

Constructor Summary
`HtmlTreeCheckboxRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlCheckboxRendererBase
`getConvertedValue, getLayout, renderCheckbox, renderCheckboxList, renderGroupOrItemCheckbox`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTreeCheckboxRenderer

    public HtmlTreeCheckboxRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlCheckboxRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeEnd(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

  Overrides:
    `isDisabled` in class `HtmlCheckboxRendererBase`
  See Also:
    `HtmlCheckboxRendererBase.isDisabled(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

  Overrides:
    `decode` in class `HtmlCheckboxRendererBase`
  See Also:
    `Renderer.decode(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`